Index: doc/html/UIArxDS__test_8cpp__incl.dot
===================================================================
--- doc/html/UIArxDS__test_8cpp__incl.dot (revision 269)
+++ doc/html/UIArxDS__test_8cpp__incl.dot (revision 270)
@@ -14,31 +14,33 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node3 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node3 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node2 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node11 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node12 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node2 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node11 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node12 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node14 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node14 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
-  Node14 -> Node15 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node15 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node11 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node13 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node14 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node14 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node15 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node15 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
   Node15 -> Node16 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node16 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
-  Node16 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node15 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node14 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node16 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node16 -> Node17 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node17 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
+  Node17 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node16 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node15 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
